VERSION 5.00
Begin VB.Form frmRelocate 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Relocate"
   ClientHeight    =   3180
   ClientLeft      =   270
   ClientTop       =   825
   ClientWidth     =   3390
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3180
   ScaleWidth      =   3390
   Begin VB.CommandButton cmdRelocate 
      Caption         =   "Relocate"
      Height          =   495
      Left            =   840
      TabIndex        =   4
      Top             =   2520
      Width           =   1575
   End
   Begin VB.TextBox txtWhere 
      Height          =   375
      Left            =   1560
      TabIndex        =   3
      Top             =   1800
      Width           =   1575
   End
   Begin VB.TextBox txtFrom 
      Height          =   375
      Left            =   1560
      TabIndex        =   2
      Top             =   1080
      Width           =   1575
   End
   Begin VB.Label lblGreeting 
      Alignment       =   2  'Center
      Caption         =   "Relocate node"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   204
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00404000&
      Height          =   495
      Left            =   120
      TabIndex        =   5
      Top             =   120
      Width           =   2895
   End
   Begin VB.Label lblWhere 
      Caption         =   "to position:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   -1  'True
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   1
      Top             =   1800
      Width           =   1095
   End
   Begin VB.Label lblFrom 
      Caption         =   "in position:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   9.75
         Charset         =   204
         Weight          =   400
         Underline       =   0   'False
         Italic          =   -1  'True
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   0
      Top             =   1080
      Width           =   1095
   End
End
Attribute VB_Name = "frmRelocate"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'frmRelocate - asks user from and where to relocate
'Calls relocate function from clsList
Option Explicit
Private Sub cmdRelocate_Click()
    Dim nodeFrom As clsNode
    Dim nodeWhere As clsNode
    Dim indexFrom As Integer
    Dim indexWhere As Integer
    
    Dim Result As Boolean 'Relocation was successful
        
    If CInt(txtFrom) > CInt(txtWhere) Then
        'Moving backward, place before Where
        indexFrom = CInt(txtFrom)
        indexWhere = CInt(txtWhere) - 1
    Else
        'Moving forward, place after Where
        indexFrom = CInt(txtFrom)
        indexWhere = CInt(txtWhere)
    End If
    'Find nodes with given indices
    Set nodeFrom = frmMain.Storage.SearchByIndex(indexFrom)
    Set nodeWhere = frmMain.Storage.SearchByIndex(indexWhere)
    If frmMain.Storage.Relocate(nodeFrom, nodeWhere) Then
        'Relocation was successful
        MsgBox ("Success!")
    Else
        'Relocation was unsuccessful
        MsgBox ("Error!")
    End If
    'Close the form
    Unload Me
End Sub
